[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.DeleteResolution

Deletes the image resolution which uses the specified image width.

## Declaration

Source position: imglist.pp line 397

`public procedure TCustomImageList.DeleteResolution(`
`const AWidth: Integer`
`);`

## Arguments

`AWidth` |  | Image width for the resolution removed in the method.

## Description

DeleteResolution is a procedure used to delete the image resolution which uses the image width specified in AWidth.

DeleteResolution uses the internal TCustomImageListResolutions container to get the position for the resolution using the requested image width. If an image resolution is found, it is removed using the Delete method for the container. No actions are performed in the method if the image width is not used in an image resolution.

## See also

TCustomImageListResolutions.Delete |  | Deletes the image resolution stored at the specified position in the container.